Bug 426539 - Review Request: perl-Test-YAML-Meta - Validation of the META.yml file in a distribution.
Review Request: perl-Test-YAML-Meta - Validation of the META.yml file in a di...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 426537
Blocks: 426542
  Show dependency treegraph
 
Reported: 2007-12-21 16:40 EST by Daniel Berrange
Modified: 2010-06-25 14:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-26 11:16:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2007-12-21 16:40:36 EST
Spec URL: http://berrange.fedorapeople.org/review/perl-Test-YAML-Meta/perl-Test-YAML-Meta.spec
SRPM URL: 
Description: 
This module was written to ensure that a META.yml file, provided with a 
standard distribution uploaded to CPAN, meets the specifications that slowly 
being introduced to module uploads, via the use of ExtUtils::MakeMaker,
Module::Build and Module::Install.
Comment 2 Parag AN(पराग) 2007-12-22 23:07:00 EST
make test failed at http://koji.fedoraproject.org/koji/taskinfo?taskID=307441
Comment 3 Daniel Berrange 2007-12-23 13:23:02 EST
Added in these deps to solve it:

BuildRequires:  perl(YAML)
BuildRequires:  perl(YAML::Syck)


http://berrange.fedorapeople.org/review/perl-Test-YAML-Meta/perl-Test-YAML-Meta.spec
http://berrange.fedorapeople.org/review/perl-Test-YAML-Meta/perl-Test-YAML-Meta-0.06-2.fc9.src.rpm
Comment 4 Parag AN(पराग) 2007-12-24 00:28:05 EST
Review:
+ package builds in mock (rawhide).
+ rpmlint is silent for SRPM. 
- rpmlint is NOT silent for RPM.
perl-Test-YAML-Meta.noarch: W: file-not-utf8
/usr/share/doc/perl-Test-YAML-Meta-0.06/LICENSE
==>take care to fix this issue while importing this package.
+ source files match upstream url
2f573f7cc983b6fc6509790e38cb14ed  Test-YAML-Meta-0.06.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputsPERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM"
"-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/01use............ok
t/02metafiles......ok
t/03metaversion....ok
t/04metatester.....ok
t/90podtest........ok
t/91podcover.......ok
t/94metatest.......ok
All tests successful.
Files=7, Tests=166,  0 wallclock secs ( 0.22 cusr +  0.04 csys =  0.26 CPU)

+ Package  perl-Test-YAML-Meta-0.06-2.fc9 ->
  Provides: perl(Test::YAML::Meta) = 0.06 perl(Test::YAML::Meta::Version) = 0.06
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(Test::Builder)
perl(Test::YAML::Meta::Version) perl(Test::YAML::Valid) perl(strict) perl(vars)
perl(warnings)

SHOULD:
  Fix rpmlint warning on SRPM before cvs import
  You can add examples directory to %doc
  
Comment 5 Daniel Berrange 2007-12-24 13:20:19 EST
New Package CVS Request
=======================
Package Name: perl-Test-YAML-Meta
Short Description: Validation of the META.yml file in a distribution
Owners: berrange
Branches: F-8
InitialCC: 
Cvsextras Commits: yes

Comment 6 Tom "spot" Callaway 2007-12-24 15:17:41 EST
cvs done.
Comment 7 Daniel Berrange 2007-12-26 11:16:48 EST
$ koji latest-pkg dist-f9 perl-Test-YAML-Meta
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
perl-Test-YAML-Meta-0.06-3.fc9            dist-f9               berrange
Comment 8 Daniel Berrange 2010-06-24 08:38:06 EDT
Package Change Request
======================
Package Name: perl-Test-YAML-Meta
New Branches: EL-6
Owners: berrange
Comment 9 Jason Tibbitts 2010-06-25 14:37:20 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.